Bug 1409315 - fedora-review complains about missing gsettings schema scriptlets when they aren't supposed to be used anymore
Summary: fedora-review complains about missing gsettings schema scriptlets when they a...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stanislav Ochotnicky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-31 14:31 UTC by Neal Gompa
Modified: 2017-09-13 09:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Neal Gompa 2016-12-31 14:31:28 UTC
Description of problem:
Since Fedora 23 is now EOL, fedora-review should no longer be complaining about missing gsettings-schema scriptlets. Fedora 24 and up do not require them, and the guidelines page about them says not to use them: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#GSettings_Schema

Version-Release number of selected component (if applicable):
0.6.1-2.fc25

How reproducible:
Always

Comment 1 Andrew Toskin 2017-02-25 01:06:03 UTC
I can confirm this issue. I'm getting same warnings from fedora-review (same version, also Fedora 25) when inspecting some GNOME Shell extensions I'm working on packaging.

Comment 2 Andrew Toskin 2017-08-06 23:01:13 UTC
Still an issue in fedora-review version 0.6.1 f03e4e7 2016-05-02 14:21:43 +0200, running on Fedora 26 Workstation x86_64.

Comment 3 Jan Kurik 2017-08-15 07:08:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 4 Neal Gompa 2017-09-13 09:51:22 UTC
Marking as Rawhide, Triaged, and FutureFeature so it doesn't get accidentally closed.


Note You need to log in before you can comment on or make changes to this bug.